/*
* MobiliTools: an implementation of the Object Management Group's
* Mobile Agent Facility specification.
* Copyright (C) 2003 France Telecom R&D
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* MobiliTools $Name:  $
*
* Contact: mobilitools-smi@lists.debian-sf.objectweb.org
*
* Authors: Bruno Dillenseger
*/


package org.objectweb.mobilitools.smi;


import org.omg.CfMAF.*;
import java.util.Properties;


public class FinderEntry
{
	org.objectweb.mobilitools.smi.api.Name name;
	String location;
	Object profile;


	public FinderEntry(Name name, String location, Object profile)
	{
		this(new org.objectweb.mobilitools.smi.api.Name(name), location, profile);
	}


	public FinderEntry(org.objectweb.mobilitools.smi.api.Name name, String location, Object profile)
	{
		this.name = name;
		this.location = location;
		this.profile = profile;
	}


	public String toString()
	{
		return (isAgent() ? "agent " : "agency ") + name.toString();
	}


	public boolean isAgent()
	{
		return profile instanceof AgentProfile;
	}


	public org.objectweb.mobilitools.smi.api.Name getName()
	{
		return name;
	}


	public String getLocation()
	{
		return location;
	}


	public Object getProfile()
	{
		return profile;
	}


	public Properties getProperties()
	{
		if (isAgent())
		{
			return Misc.any2property(((AgentProfile)profile).properties);
		}
		else
		{
			return Misc.any2property(((AgentSystemInfo)profile).properties);
		}
	}
}
