/*
* MobiliTools: an implementation of the Object Management Group's
* Mobile Agent Facility specification.
* Copyright (C) 2003 France Telecom R&D
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* MobiliTools $Name:  $
*
* Contact: mobilitools-smi@lists.debian-sf.objectweb.org
*
* Authors: Bruno Dillenseger
*/


package org.objectweb.mobilitools.util.gui;


import java.awt.*;
import java.awt.event.*;


public class AlertWindow extends Dialog implements ActionListener
{
	Button OKbtn;


	public AlertWindow(Frame frame, String title, String text, String button)
	{
		super(frame, title, true);

		setLayout(new BorderLayout());
		TextArea textZone = new TextArea(text, 5, 30);
		textZone.setEditable(false);
		add("Center", textZone);
		add("South", OKbtn = new Button(button));
		OKbtn.addActionListener(this);
		addWindowListener(new OnWindowClosing());
		pack();
		show();
	}


	public AlertWindow(boolean modal, Frame frame, String title, String text, String button)
	{
		super(frame, title, modal);

		setLayout(new BorderLayout());
		TextArea textZone = new TextArea(text, 5, 30);
		textZone.setEditable(false);
		add("Center", textZone);
		add("South", OKbtn = new Button(button));
		OKbtn.addActionListener(this);
		addWindowListener(new OnWindowClosing());
		pack();
		show();
	}


	////////////////////////////////////////////////
	// Implementation of interface ActionListener //
	////////////////////////////////////////////////


	public void actionPerformed(ActionEvent evt)
	{
		dispose();
	}


	///////////////////////////////////////
	// inner WindowAdapter-derived class //
	///////////////////////////////////////


	class OnWindowClosing extends WindowAdapter
	{
		public void windowClosing(WindowEvent e)
		{
			AlertWindow.this.dispose();
		}
	}
}
